> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an encryption key

> Updates the name and description of an encryption key.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml post /encryption-keys/{uuid}
openapi: 3.0.3
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.17
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /encryption-keys/{uuid}:
    post:
      tags:
        - Encryption Keys
      summary: Update an encryption key
      description: Updates the name and description of an encryption key.
      parameters:
        - in: path
          name: uuid
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RouterUpdateEncryptionKeyRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayloadsEncryptionKey'
          description: OK
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
components:
  schemas:
    RouterUpdateEncryptionKeyRequest:
      properties:
        description:
          type: string
        name:
          type: string
      required:
        - name
      type: object
    PayloadsEncryptionKey:
      properties:
        createdAt:
          format: date-time
          type: string
        description:
          type: string
        kmsKeyUUID:
          format: uuid
          nullable: true
          type: string
        name:
          type: string
        type:
          type: string
        updatedAt:
          format: date-time
          type: string
        uuid:
          format: uuid
          type: string
      required:
        - uuid
        - name
        - type
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````